package org.slf4j.impl;

import org.slf4j.spi.MDCAdapter;

@Deprecated(forRemoval = true)
public final class StaticMDCBinder {

    public static final StaticMDCBinder SINGLETON = new StaticMDCBinder();

    private StaticMDCBinder() {
    }

    public MDCAdapter getMDCA() {
        return new Slf4jMDCAdapter();
    }

    public String getMDCAdapterClassStr() {
        return Slf4jMDCAdapter.class.getName();
    }
}
